VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CPriority"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'programmed by ShareVB
'gestion du sujet d'un mail pour les extensions non ascii (par exe : iso-8859-1)

Option Explicit
Option Compare Text

'variables locales de stockage des valeurs de propriétés
Private mvarPriority As Long 'copie locale

'==================================================
'propriétés
'==================================================

Public Property Let Priority(ByVal vData As Long)
'utilisé lors de l'affectation d'une valeur à la propriété, du coté gauche de l'affectation.
'Syntax: X.Priority = 5
    mvarPriority = vData
End Property
Public Property Get Priority() As Long
'utilisé lors de la lecture de la valeur de la propriété, du coté droit de l'instruction.
'Syntax: Debug.Print X.Priority
    Priority = mvarPriority
End Property

'==================================================
'méthodes privées
'==================================================

'==================================================
'méthodes publiques
'==================================================

Public Sub Parse(szPriority As String)
mvarPriority = CLng(Val(szPriority))
End Sub

Public Function Make() As String
If mvarPriority > 0 And mvarPriority < 6 Then
    Make = mvarPriority
Else
    Make = vbNullString
End If
End Function

'==================================================
'constructeur
'==================================================
